aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/tools/perf/tests/shell/list.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/perf/tests/shell/list.sh')
-rwxr-xr-xtools/perf/tests/shell/list.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/tools/perf/tests/shell/list.sh b/tools/perf/tests/shell/list.sh
new file mode 100755
index 000000000000..22b004f2b23e
--- /dev/null
+++ b/tools/perf/tests/shell/list.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+# perf list tests
+# SPDX-License-Identifier: GPL-2.0
+
+set -e
+err=0
+
+shelldir=$(dirname "$0")
+# shellcheck source=lib/setup_python.sh
+. "${shelldir}"/lib/setup_python.sh
+
+test_list_json() {
+ echo "Json output test"
+ perf list -j | $PYTHON -m json.tool
+ echo "Json output test [Success]"
+}
+
+test_list_json
+exit $err